# Claim $submit-institutional

`POST /Claim/$submit-institutional`

This resource contains the financial details for provider services for a patient visit or treatment. Healthcare organizations can use this resource to request reimbursement or prior authorization, while payers can review this resource to process claims and respond with the `ClaimResponse` resource. 

You can submit, check, or add to claim information using one of the supported operations.

Many payers exchange this data in X12 format, so [learn how Redox translates X12 to FHIR](https://docs.redoxengine.com/permalink/29mwVBmLLM0Bkq3f8sHfyD).

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $submit-institutional

Submit an institutional billing claim for facility charges from a hospital, skilled nursing facility, or other institutional provider. Examples include nursing, medical supplies, and laboratory tests. For services billed by an individual practitioner, [use `$submit-professional`](https://docs.redoxengine.com/permalink/8aeb2d01-091b-5bb2-ab4b-515151c54d33-$submit-professional).

Institutional billing uses revenue codes to categorize facility charges, often alongside procedure codes.

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Indicates the purpose of this bundle - how it is intended to be used. Value: collection |
| `entry` | Array of Claim or Patient or Coverage or Practitioner or RelatedPerson or Other | Yes | An array of FHIR resources. At a minimum, a Claim should include the following entries: - Claim - the most important part of the request - contains references to all other resources, and the actual service line items in `item` - Patient - the patient the claim is for - Organization - at least one resource representing the party responsible for making the claim. Additional organization resources may carry information such as pharmacy, primary payer, or addtional payers. - Practitioner - Practitioners that were part of the claim - linked to the claim via `careTeam`. - Coverage - the patient's insurance(s) Additional resources such as RelatedPerson should be included in scenarios where the Patient is a dependent of the coverage holder. |
| `entry[] (Claim).resource` | object | Yes | The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type. |
| `entry[] (Claim).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Claim |
| `entry[] (Claim).resource.id` | string | Yes | A unique identifier for the claim that will be echoed on status checks and response payloads. |
| `entry[] (Claim).resource.status` | string | Yes | The status of the resource instance. Value: active |
| `entry[] (Claim).resource.type` | object | Yes | Type of claim. [Example Codes](http://hl7.org/fhir/R4/valueset-claim-type.html) The recommended system is `http://terminology.hl7.org/CodeSystem/claim-type`. Typical values include - `pharmacy` - Pharmacy claims for goods and services - `professional` - Typically outpatient claims such as Psychological, Chiropractor, rehabilitative, consulting - `institutional` - Hospital, clinic and other inpatient claims |
| `entry[] (Claim).resource.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.use` | string | Yes | A code to indicate whether the nature of the request is: to request adjudication of products and services previously rendered; or requesting authorization and adjudication for provision in the future; or requesting the non-binding adjudication of the listed products and services which could be provided in the future. Value: claim |
| `entry[] (Claim).resource.patient` | object | Yes | The party to whom the professional services and/or products have been supplied or are being considered and for whom actual or forecast reimbursement is sought. Must be a resource of type `Patient`. |
| `entry[] (Claim).resource.patient.reference` | string | No | A reference to a Patient resource |
| `entry[] (Claim).resource.created` | string | Yes | The date this resource was created. |
| `entry[] (Claim).resource.provider` | object | Yes | The provider which is responsible for the claim, predetermination or preauthorization. Must reference one of the following types of resources: - `Practitioner` - `Organization` |
| `entry[] (Claim).resource.provider.reference` | string | No | A reference to either an Organization or Provider. |
| `entry[] (Claim).resource.priority` | object | Yes | The provider-required urgency of processing the request. Typical values include: `stat`, `routine`, and  `deferred`. If sending one of these statuses, use the system `http://terminology.hl7.org/CodeSystem/processpriority` |
| `entry[] (Claim).resource.priority.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.priority.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.priority.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.priority.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.insurance` | Array of object | Yes | Financial instruments for reimbursement for the health care products and services specified on the claim. |
| `entry[] (Claim).resource.insurance[].sequence` | number | Yes | A number to uniquely identify insurance entries and provide a sequence of coverages to convey coordination of benefit order. |
| `entry[] (Claim).resource.insurance[].focal` | boolean | Yes | A flag to indicate that this Coverage is to be used for adjudication of this claim when set to true. |
| `entry[] (Claim).resource.insurance[].coverage` | object | Yes | Reference to Coverage resource for patient. Must be a resource of type `Coverage`. |
| `entry[] (Claim).resource.insurance[].coverage.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Claim).resource.insurance[].businessArrangement` | string | No | A business agreement number established between the provider and the insurer for special business processing purposes. |
| `entry[] (Claim).resource.insurance[].preAuthRef` | Array of string | No | Reference numbers previously provided by the insurer to the provider to be quoted on subsequent claims containing services or products related to the prior authorization. |
| `entry[] (Claim).resource.insurer` | object | No | The Insurer who is target of the request. Must be a resource of type `Organization`. |
| `entry[] (Claim).resource.insurer.reference` | string | No | A reference to an Organization resource |
| `entry[] (Claim).resource.related` | Array of object | No | Other claims which are related to this claim such as prior submissions or claims for related services or for the same event. |
| `entry[] (Claim).resource.related[].claim` | object | No | Reference to a related claim. Must be a resource of type `Claim`. |
| `entry[] (Claim).resource.related[].claim.reference` | string | No | Contains the resource ID of the original claim that this resource is updating |
| `entry[] (Claim).resource.related[].relationship` | object | No | When modifying a prior claim, set this to `code='prior'` and `system='http://terminology.hl7.org/CodeSystem/ex-relatedclaimrelationship'` |
| `entry[] (Claim).resource.related[].relationship.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.related[].relationship.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.related[].relationship.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.related[].relationship.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.careTeam` | Array of object | No | An array of care team members. Each piece of information is is linked to a claim line item via `sequence`, and the type/role is denoted with by `role`. |
| `entry[] (Claim).resource.careTeam[].sequence` | number | Yes | A number to uniquely identify care team entries. |
| `entry[] (Claim).resource.careTeam[].provider` | object | Yes | Reference to Practitioner who particpated in the claim. Must be a resource of type `Practitioner`. |
| `entry[] (Claim).resource.careTeam[].provider.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Claim).resource.careTeam[].responsible` | boolean | No | The party who is billing and/or responsible for the claimed products or services. |
| `entry[] (Claim).resource.careTeam[].role` | object | No | The lead, assisting or supervising practitioner and their discipline if a multidisciplinary team. |
| `entry[] (Claim).resource.careTeam[].role.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.careTeam[].role.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.careTeam[].role.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.careTeam[].role.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.supportingInfo` | Array of object | No | An array of supporting information for the claim. Generally this is implementation-specific, key-value pairs identified by `code` and `value[x]`. Each piece of information is is linked to a claim line item via `sequence` and its type is identified by `category` |
| `entry[] (Claim).resource.supportingInfo[].sequence` | number | Yes | A number to uniquely identify supporting information entries. |
| `entry[] (Claim).resource.supportingInfo[].category` | object | Yes | The general class of the information supplied: information; exception; accident, employment; onset, etc. |
| `entry[] (Claim).resource.supportingInfo[].category.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.supportingInfo[].category.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.supportingInfo[].category.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.supportingInfo[].category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.supportingInfo[].code` | object | No | The specific type of information being sent. |
| `entry[] (Claim).resource.supportingInfo[].code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.supportingInfo[].code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.supportingInfo[].code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.supportingInfo[].code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.supportingInfo[].timingPeriod` | object | No | The date when or period to which this information refers. |
| `entry[] (Claim).resource.supportingInfo[].timingPeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (Claim).resource.supportingInfo[].timingPeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (Claim).resource.supportingInfo[].valueBoolean` | boolean | No | Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data. Only one of `valueBoolean`, `valueString`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (Claim).resource.supportingInfo[].valueString` | string | No | Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data. Only one of `valueBoolean`, `valueString`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (Claim).resource.supportingInfo[].valueQuantity` | object | No | Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data. Only one of `valueBoolean`, `valueString`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (Claim).resource.supportingInfo[].valueQuantity.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (Claim).resource.supportingInfo[].valueQuantity.system` | string | No | The identification of the system that provides the coded form of the unit. |
| `entry[] (Claim).resource.supportingInfo[].valueQuantity.code` | string | No | A computer processable form of the unit in some unit representation system. |
| `entry[] (Claim).resource.supportingInfo[].valueReference` | object | No | Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data. Only one of `valueBoolean`, `valueString`, `valueQuantity`, `valueReference` may be present. Must be a resource of type `Resource`. |
| `entry[] (Claim).resource.supportingInfo[].valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Claim).resource.diagnosis` | Array of object | No | An array of diagnoses for Patient. Each diagnosis is is linked to a claim line item via `sequence` |
| `entry[] (Claim).resource.diagnosis[].sequence` | number | Yes | A number to uniquely identify diagnosis entries. |
| `entry[] (Claim).resource.diagnosis[].diagnosisCodeableConcept` | object | Yes | The nature of illness or problem in a coded form or as a reference to an external defined Condition. |
| `entry[] (Claim).resource.diagnosis[].diagnosisCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.diagnosis[].type` | Array of object | No | When the condition was observed or the relative ranking. |
| `entry[] (Claim).resource.diagnosis[].type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.diagnosis[].type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.diagnosis[].type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.diagnosis[].type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.diagnosis[].onAdmission` | object | No | Indication of whether the diagnosis was present on admission to a facility. |
| `entry[] (Claim).resource.diagnosis[].onAdmission.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.diagnosis[].onAdmission.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.diagnosis[].onAdmission.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.diagnosis[].onAdmission.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.diagnosis[].packageCode` | object | No | A package billing code or bundle code used to group products and services to a particular health condition (such as heart attack) which is based on a predetermined grouping code system. |
| `entry[] (Claim).resource.diagnosis[].packageCode.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.diagnosis[].packageCode.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.diagnosis[].packageCode.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.diagnosis[].packageCode.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.procedure` | Array of object | No | An array of procedures for Patient. Each procedure is is linked to a claim line item via `sequence` |
| `entry[] (Claim).resource.procedure[].sequence` | number | Yes | A number to uniquely identify procedure entries. |
| `entry[] (Claim).resource.procedure[].procedureCodeableConcept` | object | Yes | The code or reference to a Procedure resource which identifies the clinical intervention performed. |
| `entry[] (Claim).resource.procedure[].procedureCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.procedure[].type` | Array of object | No | When the condition was observed or the relative ranking. |
| `entry[] (Claim).resource.procedure[].type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.procedure[].date` | string | No | Date and optionally time the procedure was performed. |
| `entry[] (Claim).resource.accident` | object | No | Details of an accident which resulted in injuries which required the products and services listed in the claim. |
| `entry[] (Claim).resource.accident.date` | string | Yes | Date of an accident event  related to the products and services contained in the claim. |
| `entry[] (Claim).resource.accident.type` | object | No | The type or context of the accident event for the purposes of selection of potential insurance coverages and determination of coordination between insurers. |
| `entry[] (Claim).resource.accident.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.accident.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.accident.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.accident.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.accident.locationAddress` | object | No | The physical location of the accident event. |
| `entry[] (Claim).resource.accident.locationAddress.use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (Claim).resource.accident.locationAddress.line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (Claim).resource.accident.locationAddress.city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (Claim).resource.accident.locationAddress.district` | string | No | The name of the administrative area (county). |
| `entry[] (Claim).resource.accident.locationAddress.state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (Claim).resource.accident.locationAddress.postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (Claim).resource.accident.locationAddress.country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (Claim).resource.item` | Array of object | No | A claim line. Either a simple  product or service or a 'group' of details which can each be a simple items or groups of sub-details. |
| `entry[] (Claim).resource.item[].sequence` | number | Yes | A number to uniquely identify item entries. |
| `entry[] (Claim).resource.item[].productOrService` | object | Yes | For prior auth, the requestedService extension carries more information than this field, and this field should just duplicate the product or service code found in that resource. |
| `entry[] (Claim).resource.item[].productOrService.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.item[].productOrService.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.item[].productOrService.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.item[].productOrService.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.item[].id` | string | No | A unique id for the line item. This can be used on subsequent status checks to get-line-level status information. |
| `entry[] (Claim).resource.item[].careTeamSequence` | Array of number | No | An array of sequence numbers from Claim.careTeam that apply to this line item. |
| `entry[] (Claim).resource.item[].diagnosisSequence` | Array of number | No | An array of sequence numbers from Claim.diagnosis that apply to this line item. |
| `entry[] (Claim).resource.item[].procedureSequence` | Array of number | No | An array of sequence numbers from Claim.procedure that apply to this line item. |
| `entry[] (Claim).resource.item[].informationSequence` | Array of number | No | An array of sequence numbers from Claim.supportingInfo that apply to this line item. |
| `entry[] (Claim).resource.item[].revenue` | object | No | The type of revenue or cost center providing the product and/or service. |
| `entry[] (Claim).resource.item[].revenue.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.item[].revenue.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.item[].revenue.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.item[].revenue.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.item[].modifier` | Array of object | No | Item typification or modifiers codes to convey additional context for the product or service. |
| `entry[] (Claim).resource.item[].modifier[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.item[].modifier[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.item[].modifier[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.item[].modifier[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.item[].programCode` | Array of object | No | Identifies the program under which this may be recovered. |
| `entry[] (Claim).resource.item[].programCode[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.item[].programCode[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.item[].programCode[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.item[].programCode[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.item[].quantity` | object | No | The number of repetitions of a service or product. |
| `entry[] (Claim).resource.item[].quantity.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (Claim).resource.item[].quantity._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Claim).resource.item[].quantity._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Claim).resource.item[].quantity.unit` | string | No | A human-readable form of the unit. |
| `entry[] (Claim).resource.item[].unitPrice` | object | No | If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group. |
| `entry[] (Claim).resource.item[].unitPrice.value` | number | No | Numerical value (with implicit precision). |
| `entry[] (Claim).resource.item[].unitPrice.currency` | string | No | ISO 4217 Currency Code (e.g. USD for US Dollar) |
| `entry[] (Claim).resource.item[].bodySite` | object | No | Physical service site on the patient (limb, tooth, etc.). |
| `entry[] (Claim).resource.item[].bodySite.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.item[].bodySite.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.item[].bodySite.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.item[].bodySite.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.item[].encounter` | Array of object | No | The Encounters during which this Claim was created or to which the creation of this record is tightly associated. Must be a resource of type `Encounter`. |
| `entry[] (Claim).resource.item[].encounter[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Claim).resource.item[].servicedPeriod` | object | No | The date or dates when the service or product was supplied, performed or completed. |
| `entry[] (Claim).resource.item[].servicedPeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (Claim).resource.item[].servicedPeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (Claim).resource.item[].locationCodeableConcept` | object | No | Where the product or service was provided. |
| `entry[] (Claim).resource.item[].locationCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.item[].locationCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.item[].locationCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.item[].locationCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.total` | object | No | The total value of the all the items in the claim. |
| `entry[] (Claim).resource.total.value` | number | No | Numerical value (with implicit precision). |
| `entry[] (Claim).resource.total.currency` | string | No | ISO 4217 Currency Code (e.g. USD for US Dollar) |
| `entry[] (Other)` | object | No |  |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Claim/$submit-institutional' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/fhir+json' \
--data '{
  "resourceType": "Bundle",
  "id": "InstitutionalClaimBundle",
  "type": "collection",
  "identifier": {
    "system": "urn:ietf:rfc:3986",
    "value": "urn:uuid:59f129cf-2eca-4965-88f2-452558af1934"
  },
  "timestamp": "2021-10-21T19:09:02.452Z",
  "entry": [
    {
      "resource": {
        "resourceType": "Claim",
        "id": "3195ff90-12fb-5ead-abfb-5b321e04d270",
        "status": "active",
        "use": "claim",
        "identifier": [
          {
            "system": "http://myclaim.id",
            "value": "123476789"
          }
        ],
        "type": {
          "coding": [
            {
              "code": "institutional",
              "system": "http://terminology.hl7.org/CodeSystem/claim-type"
            }
          ]
        },
        "patient": {
          "reference": "urn:uuid:4ba36cd0-1fe7-57d4-a0f6-104a22241d60"
        },
        "created": "2022-01-18T16:27:49.101Z",
        "total": {
          "value": 89.93,
          "currency": "USD"
        },
        "provider": {
          "reference": "urn:uuid:41a41650-775c-5546-a11b-cf5eea7c8a6e"
        },
        "priority": {
          "coding": [
            {
              "code": "normal",
              "system": "http://terminology.hl7.org/CodeSystem/processpriority"
            }
          ]
        },
        "careTeam": [
          {
            "sequence": 1,
            "provider": {
              "reference": "urn:uuid:fb785e5d-236d-57a5-a488-9e62472525a7"
            },
            "role": {
              "coding": [
                {
                  "code": "attending",
                  "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBClaimCareTeamRole",
                  "display": "Attending"
                }
              ]
            }
          },
          {
            "sequence": 2,
            "provider": {
              "reference": "urn:uuid:de14e71b-d0ee-508f-87ed-489da0b3a53b"
            },
            "role": {
              "coding": [
                {
                  "code": "referring",
                  "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBClaimCareTeamRole",
                  "display": "Referring"
                }
              ]
            }
          }
        ],
        "diagnosis": [
          {
            "sequence": 1,
            "diagnosisCodeableConcept": {
              "coding": [
                {
                  "code": "H26.9",
                  "system": "http://hl7.org/fhir/sid/icd-10-cm",
                  "display": "Unspecified cataract"
                }
              ]
            },
            "type": [
              {
                "coding": [
                  {
                    "code": "principal",
                    "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBClaimDiagnosisType",
                    "display": "Principal Diagnosis"
                  }
                ]
              }
            ]
          },
          {
            "sequence": 2,
            "diagnosisCodeableConcept": {
              "coding": [
                {
                  "code": "I16.9",
                  "system": "http://hl7.org/fhir/sid/icd-10-cm",
                  "display": "Unspecified essential hypertension"
                }
              ]
            },
            "type": [
              {
                "coding": [
                  {
                    "code": "other",
                    "system": "http://terminology.hl7.org/CodeSystem/ex-diagnosistype",
                    "display": "Other Diagnosis"
                  }
                ]
              }
            ]
          },
          {
            "sequence": 3,
            "diagnosisCodeableConcept": {
              "coding": [
                {
                  "code": "R94.31",
                  "system": "http://hl7.org/fhir/sid/icd-10-cm",
                  "display": "Abnormal electrocardiogram"
                }
              ]
            },
            "type": [
              {
                "coding": [
                  {
                    "code": "other",
                    "system": "http://terminology.hl7.org/CodeSystem/ex-diagnosistype",
                    "display": "Other Diagnosis"
                  }
                ]
              }
            ]
          }
        ],
        "insurance": [
          {
            "sequence": 1,
            "focal": true,
            "coverage": {
              "reference": "urn:uuid:0db691d3-3259-5c5a-9654-74efb2472271"
            }
          }
        ],
        "item": [
          {
            "sequence": 1,
            "careTeamSequence": [
              1
            ],
            "diagnosisSequence": [
              1,
              2,
              3
            ],
            "productOrService": {
              "coding": [
                {
                  "code": "85025",
                  "system": "http://www.ama-assn.org/go/cpt",
                  "display": "Blood count; complete (CBC)"
                }
              ],
              "text": "Blood count; complete (CBC)"
            },
            "revenue": {
              "coding": [
                {
                  "code": "0305",
                  "system": "https://www.nubc.org/CodeSystem/RevenueCodes",
                  "display": "Laboratory"
                }
              ]
            },
            "quantity": {
              "value": 1
            },
            "locationCodeableConcept": {
              "coding": [
                {
                  "code": "21",
                  "system": "https://www.cms.gov/Medicare/Coding/place-of-service-codes/Place_of_Service_Code_Set",
                  "display": "HOSPITAL - INPATIENT HOSPITAL"
                }
              ]
            },
            "unitPrice": {
              "value": 13.39,
              "currency": "USD"
            },
            "servicedPeriod": {
              "start": "2022-01-18T16:20:00.101Z",
              "end": "2022-01-19T16:20:00.101Z"
            }
          },
          {
            "sequence": 2,
            "careTeamSequence": [
              1
            ],
            "diagnosisSequence": [
              1,
              2,
              3
            ],
            "productOrService": {
              "coding": [
                {
                  "code": "93005",
                  "system": "http://www.ama-assn.org/go/cpt",
                  "display": "Electrocardiogram, routine ECG with at least 12 leads"
                }
              ],
              "text": "Electrocardiogram, routine"
            },
            "revenue": {
              "coding": [
                {
                  "code": "0730",
                  "system": "https://www.nubc.org/CodeSystem/RevenueCodes",
                  "display": "EKG/ECG (Electrocardiogram)"
                }
              ]
            },
            "quantity": {
              "value": 3
            },
            "locationCodeableConcept": {
              "coding": [
                {
                  "code": "21",
                  "system": "https://www.cms.gov/Medicare/Coding/place-of-service-codes/Place_of_Service_Code_Set",
                  "display": "HOSPITAL - INPATIENT HOSPITAL"
                }
              ]
            },
            "unitPrice": {
              "value": 76.54,
              "currency": "USD"
            },
            "servicedPeriod": {
              "start": "2022-01-18T17:20:00.101Z",
              "end": "2022-01-18T17:40:00.101Z"
            }
          }
        ]
      },
      "fullUrl": "urn:uuid:3195ff90-12fb-5ead-abfb-5b321e04d270"
    },
    {
      "resource": {
        "resourceType": "Patient",
        "id": "4ba36cd0-1fe7-57d4-a0f6-104a22241d60",
        "identifier": [
          {
            "system": "urn:redox:MRN",
            "value": "M23462346"
          }
        ],
        "name": [
          {
            "given": [
              "Timothy",
              "Paul"
            ],
            "family": "Bixby"
          }
        ],
        "gender": "male",
        "birthDate": "2008-01-06"
      },
      "fullUrl": "urn:uuid:4ba36cd0-1fe7-57d4-a0f6-104a22241d60"
    },
    {
      "resource": {
        "resourceType": "Coverage",
        "id": "0db691d3-3259-5c5a-9654-74efb2472271",
        "class": [
          {
            "type": {
              "coding": [
                {
                  "code": "group",
                  "system": "http://terminology.hl7.org/CodeSystem/coverage-class"
                }
              ]
            },
            "value": "GRP2245"
          }
        ],
        "status": "active",
        "beneficiary": {
          "reference": "urn:uuid:4ba36cd0-1fe7-57d4-a0f6-104a22241d60"
        },
        "payor": [
          {
            "reference": "urn:uuid:4c0b3f0f-4ab9-5122-b265-ce09931dff18"
          }
        ],
        "subscriber": {
          "reference": "urn:uuid:4ba36cd0-1fe7-57d4-a0f6-104a22241d60"
        },
        "subscriberId": "T75644"
      },
      "fullUrl": "urn:uuid:0db691d3-3259-5c5a-9654-74efb2472271"
    },
    {
      "resource": {
        "resourceType": "Organization",
        "id": "41a41650-775c-5546-a11b-cf5eea7c8a6e",
        "active": true,
        "name": "Good Health Clinics",
        "address": [
          {
            "line": [
              "123 Main St."
            ],
            "city": "Madison",
            "district": "Dane",
            "state": "WI",
            "postalCode": "53703",
            "country": "USA"
          }
        ]
      },
      "fullUrl": "urn:uuid:41a41650-775c-5546-a11b-cf5eea7c8a6e"
    },
    {
      "resource": {
        "resourceType": "Organization",
        "id": "4c0b3f0f-4ab9-5122-b265-ce09931dff18",
        "active": true,
        "name": "Aetna",
        "address": [
          {
            "line": [
              "PO Box 14080"
            ],
            "city": "Lexington",
            "district": "Fayette",
            "state": "KY",
            "postalCode": "40512-4079",
            "country": "USA"
          }
        ]
      },
      "fullUrl": "urn:uuid:4c0b3f0f-4ab9-5122-b265-ce09931dff18"
    },
    {
      "resource": {
        "resourceType": "Practitioner",
        "id": "fb785e5d-236d-57a5-a488-9e62472525a7",
        "identifier": [
          {
            "system": "http://hl7.org/fhir/sid/us-npi",
            "value": "4356789876"
          }
        ],
        "name": [
          {
            "given": [
              "Pat"
            ],
            "family": "Granite"
          }
        ],
        "address": [
          {
            "line": [
              "123 Main St."
            ],
            "city": "Madison",
            "district": "Dane",
            "state": "WI",
            "postalCode": "53703",
            "country": "USA"
          }
        ],
        "telecom": [
          {
            "value": "+16085551234"
          }
        ]
      },
      "fullUrl": "urn:uuid:fb785e5d-236d-57a5-a488-9e62472525a7"
    },
    {
      "resource": {
        "resourceType": "Practitioner",
        "id": "de14e71b-d0ee-508f-87ed-489da0b3a53b",
        "identifier": [
          {
            "system": "http://hl7.org/fhir/sid/us-npi",
            "value": "4336749876"
          }
        ],
        "name": [
          {
            "given": [
              "Joan"
            ],
            "family": "Fishman"
          }
        ],
        "address": [
          {
            "line": [
              "4762 Hickory St."
            ],
            "city": "Monroe",
            "district": "Green",
            "state": "WI",
            "postalCode": "53566",
            "country": "USA"
          }
        ],
        "telecom": [
          {
            "value": "+16085558899"
          }
        ]
      },
      "fullUrl": "urn:uuid:de14e71b-d0ee-508f-87ed-489da0b3a53b"
    }
  ],
  "Meta": {
    "Logs": [
      {
        "ID": "d9f5d293-7110-461e-a875-3beb089e79f3",
        "AttemptID": "925d1617-2fe0-468c-a14c-f8c04b572c54"
      }
    ],
    "Test": true,
    "EventDateTime": "2026-11-20T22:18:53.621Z",
    "Source": {
      "ID": "7ce6f387-c33c-417d-8682-81e83628cbd9",
      "Name": "Redox Dev Tools"
    },
    "Destinations": [
      {
        "ID": "af394f14-b34a-464f-8d24-895f370af4c9",
        "Name": "Redox EMR"
      }
    ],
    "DataModel": "FHIR.Claim",
    "EventType": "$submit-institutional"
  }
}'
```

## Responses

### 200

Operation Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "id": "string",
      "severity": "fatal",
      "code": "string",
      "details": {
        "coding": [
          {
            "system": "string",
            "code": "string"
          }
        ],
        "text": "string"
      },
      "diagnostics": "string"
    }
  ]
}
```

### 400

Request could not be processed or failed validation

Same fields as 200.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 200.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 200.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 200.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
